import * as RMWC from '@rmwc/types';
import * as React from 'react';
import { IconProps } from '@rmwc/icon';
export interface IconButtonProps extends RMWC.WithRippleProps {
    /** Controls the on / off state of the a toggleable button. */
    checked?: boolean;
    /** An onChange callback that receives a custom event. */
    onChange?: (evt: RMWC.CustomEventT<{
        isOn: boolean;
    }>) => void;
    /** Makes the button disabled */
    disabled?: boolean;
    /** Icon for the button */
    icon?: RMWC.IconPropT;
    /** If specified, renders a toggle with this icon as the on state. */
    onIcon?: RMWC.IconPropT;
}
export interface DeprecatedIconButtonProps {
    /** DEPRECATED: Pass options directly to icon */
    iconOptions?: any;
    /** DEPRECATED: Pass options directly to onIcon */
    onIconOptions?: any;
}
export interface IconButtonIconProps extends IconProps {
    on?: boolean;
}
export declare const IconButtonIcon: React.ComponentType<IconButtonIconProps & RMWC.ComponentProps>;
export declare const IconButton: ({ ...rest }: IconButtonProps & RMWC.ComponentProps) => JSX.Element;
